﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace RadTransitionControlContentTemplate
{
	public class Person : ViewModelBase
	{
		private string _displayName;
		public string DisplayName
		{
			get
			{
				return this._displayName;
			}
			set
			{
				if (value != this._displayName)
				{
					this._displayName = value;
					this.OnPropertyChanged(() => this.DisplayName);
				}
			}
		}

		private ImageSource _photo;
		public ImageSource Photo
		{
			get
			{
				return this._photo;
			}
			set
			{
				if ((object)this._photo != (object)value)
				{
					this._photo = value;
					this.OnPropertyChanged(() => this.Photo);
				}
			}
		}

		private string _email;
		public string Email
		{
			get
			{
				return this._email;
			}
			set
			{
				if (value != this._email)
				{
					this._email = value;
					this.OnPropertyChanged(() => this.Email);
				}
			}
		}

		private string _company;
		public string Company
		{
			get
			{
				return this._company;
			}
			set
			{
				if (value != this._company)
				{
					this._company = value;
					this.OnPropertyChanged(() => this.Company);
				}
			}
		}

		private string _position;
		public string Position
		{
			get
			{
				return this._position;
			}
			set
			{
				if (value != this._position)
				{
					this._position = value;
					this.OnPropertyChanged(() => this.Position);
				}
			}
		}

		private string _detailedInfo;
		public string DetailedInfo
		{
			get
			{
				return this._detailedInfo;
			}
			set
			{
				if (value != this._detailedInfo)
				{
					this._detailedInfo = value;
					this.OnPropertyChanged(() => this.DetailedInfo);
				}
			}
		}
	}
}
